variables:
  REGISTRY_URL: "nexus.learn.sva.rocks:30450"
  REGISTRY_USER: "admin"
  REGISTRY_PASSWORD: "admin123"
  REGISTRY_PATH: "lab23"
  REGISTRY_IMAGE: "loadgenerator"


build:
  stage: build
  image:
    name: gcr.io/kaniko-project/executor:debug
    entrypoint: [""]
  script:
    - export DOCKER_CONFIG=/kaniko/
    - echo "{\"auths\":{\"$REGISTRY_URL\":{\"username\":\"$REGISTRY_USER\",\"password\":\"$REGISTRY_PASSWORD\"}}}" > /kaniko/config.json
    - /kaniko/executor 
      --skip-tls-verify=true
      --skip-tls-verify-pull=true
      --context . 
      --dockerfile ContainerBuild/Dockerfile 
      --destination $REGISTRY_URL/$REGISTRY_PATH/$REGISTRY_IMAGE:$CI_COMMIT_SHORT_SHA
      --destination $REGISTRY_URL/$REGISTRY_PATH/$REGISTRY_IMAGE:$CI_COMMIT_TAG
  tags:
    - openshift
